View Issue Details

IDProjectCategoryView StatusLast Update
0000243Far Manager 1.7xFindFilespublic2007-07-16 16:07
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000243: Поиск подстроки зацикливается, если она не не найдена в первых 2 Гб файла
DescriptionЕсли в условиях поиска файла (AltF7) ввести последовательность символов/ байтов для поиска, и по прочим критериям подойдёт файл размером свыше 2 Гб, в котором искомая подстрока не встречается в первых 2 Гб, то поиск зацикливается.

При этом поиск в просмотрщике работает нормально.

Тестовый файл прилагается (см. тж. ниже).
Steps To Reproduce1. Создать файл размером более 2 Гб (например, заполненный нулями).
2. Дописать ему в конец искомую последовательность (например, "Мама мыла раму очень тщательно").
3. Осуществить поиск файлов (AltF7) в текущей папке, без маски, без фильтра и расширенных опций.
Additional Informationhttp://enforum.farmanager.com/viewtopic.php?t=318

То, что поиск именно зацикливается (т.е. читает первые 2 Гб файла снова и снова), можно выяснить посредством FileMon от SysInternals.

Про приложенный тестовый файл это была шутка. :)
TagsNo tags attached.
Build

Activities

vskirdin

2006-10-09 04:39

administrator   bugnote:0000304

Проверь: http://farmanager.com/farbugs/Mantis243.1.rar
Тока на этой сборке проверяй именно эту беду (на остальные просьба внимание пока не обращать).

Issue History

Date Modified Username Field Change
2006-10-06 06:15 HaRT New Issue
2006-10-09 04:39 vskirdin Note Added: 0000304
2006-10-09 05:13 vskirdin Status new => resolved
2006-10-09 05:13 vskirdin Fixed in Version => 1.71
2006-10-09 05:13 vskirdin Resolution open => fixed
2006-10-09 05:13 vskirdin Assigned To => vskirdin
2007-07-16 16:07 alexy Status resolved => closed